org.keycloak.social.stackoverflow

## Class StackOverflowIdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig
    - - org.keycloak.social.stackoverflow.StackOverflowIdentityProviderConfig

- All Implemented Interfaces:
    Serializable

      public class StackOverflowIdentityProviderConfig
      extends OAuth2IdentityProviderConfig

  Author:
    Vlastimil Elias (velias at redhat dot com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate, ALLOWED_CLOCK_SKEW, HIDE_ON_LOGIN, linkOnly, LOGIN_HINT, SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackOverflowIdentityProviderConfig()`
    `StackOverflowIdentityProviderConfig(IdentityProviderModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()`
    `void` | `setKey(String key)`

    - ### Methods inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `getAuthorizationUrl, getClientAuthMethod, getClientId, getClientSecret, getDefaultScope, getForwardParameters, getPrompt, getTokenUrl, getUserInfoUrl, isBasicAuthentication, isJWTAuthentication, isUiLocales, setAuthorizationUrl, setClientAuthMethod, setClientId, setClientSecret, setDefaultScope, setForwardParameters, setTokenUrl, setUiLocales, setUserInfoUrl, validate`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getDisplayName, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, getSyncMode, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isHideOnLogin, isLinkOnly, isLoginHint, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setDisplayName, setEnabled, setFirstBrokerLoginFlowId, setHideOnLogin, setInternalId, setLinkOnly, setLoginHint, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setSyncMode, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StackOverflowIdentityProviderConfig

          public StackOverflowIdentityProviderConfig(IdentityProviderModel model)

    - #### StackOverflowIdentityProviderConfig

          public StackOverflowIdentityProviderConfig()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### setKey

          public void setKey(String key)

Copyright © 2021 JBoss by Red Hat. All rights reserved.